GWT 2.7.0

## com.google.gwt.user.client.rpc
Interface SerializationStreamFactory

    public interface SerializationStreamFactory

An interface for creating `SerializationStreamReader`s and `SerializationStreamWriter`s.

Method Summary
`SerializationStreamReader` | `createStreamReader(java.lang.String encoded)` Creates a `SerializationStreamReader` for the encoded string.
`SerializationStreamWriter` | `createStreamWriter()` Creates a `SerializationStreamWriter`.

Method Detail

### createStreamReader

    SerializationStreamReader createStreamReader(java.lang.String encoded)
                                                 throws SerializationException

  Creates a `SerializationStreamReader` for the encoded string.

  Parameters:
    `encoded` - an encoded serialization stream
  Returns:
    `SerializationStreamReader` for the encoded string
  Throws:
    `SerializationException` - if the encoded string is not a valid serialization stream

### createStreamWriter

    SerializationStreamWriter createStreamWriter()

  Creates a `SerializationStreamWriter`.

  Returns:
    a `SerializationStreamWriter`

GWT 2.7.0